Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Mint an organizer API key

POST/api/admin/api-keys
Request body
requiredapplication/json
labelstring
expiresInSecondsnumber
Responses
200

Success

idstringrequired
tokenstringrequired
expiresAtstring<date-time>required
401

Unauthorized

errorstringrequired
403

Forbidden

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/api-keys' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "label": "string",
  "expiresInSeconds": 0
}'
Response
{
  "id": "string",
  "token": "string",
  "expiresAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?